Saltar al contenido principal
GET
/
content
/
api
/
v2
/
blogs
List blogs
curl --request GET \
  --url https://api.hubapi.com/content/api/v2/blogs \
  --header 'Authorization: Bearer <token>'
{
  "limit": 2,
  "objects": [
    {
      "absolute_url": "http://demo-hubapi.hs-sites.com/tb-es",
      "allow_comments": true,
      "amp_body_color": "#404040",
      "amp_body_font": "'Helvetica Neue', Helvetica, Arial, sans-serif",
      "amp_body_font_size": "18",
      "amp_custom_css": "",
      "amp_header_background_color": "#ffffff",
      "amp_header_color": "#1e1e1e",
      "amp_header_font": "'Helvetica Neue', Helvetica, Arial, sans-serif",
      "amp_header_font_size": "36",
      "amp_link_color": "#416bb3",
      "amp_logo_alt": "",
      "amp_logo_height": 0,
      "amp_logo_src": "",
      "amp_logo_width": 0,
      "analytics_page_id": 6513512292,
      "attached_stylesheets": [],
      "captcha_after_days": 7,
      "captcha_always": false,
      "category_id": 3,
      "close_comments_older": 0,
      "comment_date_format": "medium",
      "comment_form_guid": "d106e4ff-1bfa-4cee-bd7e-df2c3e64ae98",
      "comment_max_thread_depth": 1,
      "comment_moderation": false,
      "comment_notification_emails": [],
      "comment_should_create_contact": false,
      "comment_verification_text": "",
      "cos_object_type": "BLOG",
      "created": 1542117464711,
      "created_date_time": 1542117464711,
      "daily_notification_email_id": "6513456345",
      "default_group_style_id": "",
      "default_notification_from_name": "",
      "default_notification_reply_to": "",
      "deleted_at": 0,
      "description": "",
      "domain": "",
      "domain_when_published": "demo-hubapi.hs-sites.com",
      "email_api_subscription_id": 5479310,
      "enable_google_amp_output": true,
      "enable_social_auto_publishing": false,
      "html_footer": "",
      "html_footer_is_shared": true,
      "html_head": "",
      "html_head_is_shared": true,
      "html_keywords": [],
      "html_title": "",
      "id": 6513512292,
      "instant_notification_email_id": "6513512376",
      "item_layout_id": 6208194615,
      "item_template_is_shared": true,
      "item_template_path": "generated_layouts/6208194615.html",
      "label": "Blog - ES",
      "listing_layout_id": 6208194615,
      "listing_template_path": "generated_layouts/6208194615.html",
      "live_domain": "demo-hubapi.hs-sites.com",
      "month_filter_format": "MMMM yyyy",
      "monthly_notification_email_id": "6513512410",
      "name": "Blog - ES",
      "portal_id": 62515,
      "post_html_footer": "",
      "post_html_head": "",
      "posts_per_listing_page": 10,
      "posts_per_rss_feed": 10,
      "public_access_rules": [],
      "public_access_rules_enabled": false,
      "public_title": "Blog - ES",
      "publish_date_format": "medium",
      "resolved_domain": "demo-hubapi.hs-sites.com",
      "root_url": "http://demo-hubapi.hs-sites.com/tb-es",
      "show_social_link_facebook": true,
      "show_social_link_linkedin": true,
      "show_social_link_twitter": true,
      "show_summary_in_emails": true,
      "show_summary_in_listing": true,
      "show_summary_in_rss": true,
      "slug": "tb-es",
      "social_account_twitter": "",
      "subscription_contacts_property": "blog_blog_es_6513512292_subscription",
      "subscription_form_guid": "ef80b56c-739f-4c3e-b008-e71f587cd5b6",
      "subscription_lists_by_type": {
        "daily": 483082,
        "instant": 483081,
        "monthly": 483084,
        "weekly": 483083
      },
      "updated": 1545412176504,
      "updated_date_time": 1545412176504,
      "url_base": "demo-hubapi.hs-sites.com/tb-es",
      "url_segments": {
        "all": "all",
        "archive": "archive",
        "author": "author",
        "page": "page",
        "tag": "tag"
      },
      "use_featured_image_in_summary": true,
      "uses_default_template": false
    }
  ],
  "offset": 0,
  "total": 1,
  "total_count": 1
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de consulta

name
string

The internal name of the blog

created
integer<int64>

When the blog was first created, in milliseconds since the epoch. Supports range, gt, gte, lt, lte filters

archived_at
integer<int64>

When the blog was deleted, in milliseconds since the epoch. Zero if the blog was never deleted. Supports exact, gt, gte filters

topic_id
integer

The id of a topic you wish to filter blog posts by. Topic IDs can be found using the topics endpoint

limit
integer
predeterminado:20

The number of items to return. Defaults to 20

offset
integer
predeterminado:0

The offset set to start returning rows from. Defaults to 0.

Respuesta

successful operation

objects
object[]
total
integer
total_count
integer
limit
integer
offset
integer
Last modified on April 13, 2026